summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGary Wong <gtw@gnu.org>2020-09-20 23:38:09 -0600
committerGary Wong <gtw@gnu.org>2020-09-20 23:39:42 -0600
commit659e23ff325ea3574b68faf820a2631cd4c3e427 (patch)
treef29d175574e193d83ac2b694dc4fa24a46efd721
parent61807b85ba1993b8bd33e449cc0eb2851391afe9 (diff)
sys-fs/standalone-devtmpfs: Add package representing mounted devtmpfs.
Does nothing except verify a proper mount, and satisfy virtual/dev-manager.
-rw-r--r--sys-fs/standalone-devtmpfs/Manifest1
-rw-r--r--sys-fs/standalone-devtmpfs/metadata.xml7
-rw-r--r--sys-fs/standalone-devtmpfs/standalone-devtmpfs-0.1.ebuild30
-rw-r--r--virtual/dev-manager/Manifest2
-rw-r--r--virtual/dev-manager/dev-manager-0-r2.ebuild16
-rw-r--r--virtual/dev-manager/metadata.xml7
6 files changed, 63 insertions, 0 deletions
diff --git a/sys-fs/standalone-devtmpfs/Manifest b/sys-fs/standalone-devtmpfs/Manifest
new file mode 100644
index 0000000..f2dd094
--- /dev/null
+++ b/sys-fs/standalone-devtmpfs/Manifest
@@ -0,0 +1 @@
+EBUILD standalone-devtmpfs-0.1.ebuild 719 BLAKE2B ff0fd7f8fbda766a59b1b2189802ffcae8f058cc142dbd7550f4c6dc14d370361fbf00c6d678b77bac7c6cb7505c9d90458274d620ad28bcd63839e418d133fa SHA512 c86da11d6ef5e50396723452064fce29785d8d1cb8fe13de9b7b8f8d47bb5fe783677ea0e6e54a1c67010488cf95950a114b4bdac792baccdfb5097c2077a3df
diff --git a/sys-fs/standalone-devtmpfs/metadata.xml b/sys-fs/standalone-devtmpfs/metadata.xml
new file mode 100644
index 0000000..887f3ce
--- /dev/null
+++ b/sys-fs/standalone-devtmpfs/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gtw@gnu.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/sys-fs/standalone-devtmpfs/standalone-devtmpfs-0.1.ebuild b/sys-fs/standalone-devtmpfs/standalone-devtmpfs-0.1.ebuild
new file mode 100644
index 0000000..8311c85
--- /dev/null
+++ b/sys-fs/standalone-devtmpfs/standalone-devtmpfs-0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+DESCRIPTION="A kernel-managed devtmpfs mounted on /dev without userspace help"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86"
+IUSE=""
+
+RDEPEND="!virtual/udev
+ !sys-fs/static-dev"
+
+abort() {
+ echo
+ eerror "devtmpfs must be mounted on /dev."
+ die "No devtmpfs detected."
+}
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} == "buildonly" ]] ; then
+ # User is just compiling which is fine -- all our checks are merge-time.
+ return
+ fi
+
+ if [[ ${ROOT} == "/" ]] && \
+ ! awk '$2 == "/dev" && $3 == "devtmpfs" { ok=1 } END { if( !ok ) exit 1 }' /proc/mounts ; then
+ abort
+ fi
+}
diff --git a/virtual/dev-manager/Manifest b/virtual/dev-manager/Manifest
new file mode 100644
index 0000000..e163c18
--- /dev/null
+++ b/virtual/dev-manager/Manifest
@@ -0,0 +1,2 @@
+EBUILD dev-manager-0-r2.ebuild 377 BLAKE2B 4a0c7ab3af2363891f07868a2829a432a0dea26b89ea859c624797ae27256975ae955796c0801f5bd264c5c9e8f0ef041c96012df04d47886391fe94138f3d3f SHA512 ccb45645c55e0a5c9a44f17aaf838e61fc5a1f4cc112f66064cf79b81650eb68ab8b21518319afe2fff96eecc40ca71ac565120e0b2e0a38d332fd93541296bf
+MISC metadata.xml 211 BLAKE2B 47c87d3c0f6ecbc38d110439258aff331861000a64f30b3e03afc3c1f36e305f5fec90d0c67716bfb949d3dba1ab517e4d1e6ea744747eb75bf1391bb5f2fd44 SHA512 774be91b0a3a22b08b8ef874ff417d1bb882718f6a22164cb1190e8eb0995efe66a25e2224c5311b14c75068ae4cb5b2e6f6440c3674d1d3e6f59118e174924e
diff --git a/virtual/dev-manager/dev-manager-0-r2.ebuild b/virtual/dev-manager/dev-manager-0-r2.ebuild
new file mode 100644
index 0000000..b092d9c
--- /dev/null
+++ b/virtual/dev-manager/dev-manager-0-r2.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="Virtual for the device filesystem manager"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86"
+
+RDEPEND="
+ || (
+ virtual/udev
+ sys-apps/busybox[mdev]
+ sys-fs/standalone-devtmpfs
+ sys-fs/static-dev
+ )"
diff --git a/virtual/dev-manager/metadata.xml b/virtual/dev-manager/metadata.xml
new file mode 100644
index 0000000..887f3ce
--- /dev/null
+++ b/virtual/dev-manager/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gtw@gnu.org</email>
+ </maintainer>
+</pkgmetadata>